Bug 62218 - wireless networking not functioning with Orinoco card and dell
wireless networking not functioning with Orinoco card and dell
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: wireless-tools (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-28 10:06 EST by Brian G. Anderson
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 00:21:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2002-03-28 10:06:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020310

Description of problem:
Wireless networking doesn't activate when using Orinoco wireless card and Dell
Lattitude c810.

I can use iwconfig to query the card, but I cannot set the ESSID or any other
parameter of the card.   When I run iwconfig I get the following message:

"Warning: Device eth0 has been compiled with version 12
of Wireless Extension, while we are using version 11.
Some things may be broken..."

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert orinoco card
2.iwconfig eth0 
3.iwconfig eth0 power on
	

Actual Results:  iwconfig eth0 returns warning message above

iwconfig eth0 power on returns fine, but iwconfig eth0 reports that power
management is still off.

Expected Results:  I should see no warning message, and using iwconfig should be
able to configure the card


Additional info:

I am able to use a normal ethernet xircom cardbus care fine and the same orinoco
card works with another dell laptop using 7.2.  I also tried setting the
parameters in /etc/pcmcia/wireless.opts, but this didn't work either.
Comment 1 Bill Nottingham 2002-03-28 16:44:57 EST
This should be fixed with wireless-tools-23-2.
Comment 2 Brian G. Anderson 2002-03-31 10:43:47 EST
I've downloaded wireless-tools-23-2 and this did get my networking functioning.
 However, I must set it up manually everytime using iwconfig.  I have set the
parameters in /etc/pcmcia/wireless.opts with my card's essid and key.  However,
when I insert the orinoco card, the card parameters are not set.  I can only get
the card working by doing "iwconfig eth0 essid xxxx" and "iwconfig eth0 key xxx".

I also have to invoke "dhcpcd -n" manually to get the IP address assigned.
Comment 3 Bill Nottingham 2005-01-28 00:21:42 EST
Apologies for the lack of response.

The supported wireless configuration is done via ifcfg-XXX scripts
under Red Hat/Fedora, not wireless.opts.


Note You need to log in before you can comment on or make changes to this bug.